Package: groovy.util

## [Java] Class NodeList

- groovy.util.NodeList

-     public class NodeList
      extends ArrayList

  A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeList()`
    `NodeList(Collection collection)`
    `NodeList(int size)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `clone()` Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
    `` | `public NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
    `` | `public NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
    `` | `public Object` | `getAttribute(Object object, String attribute)`
    `` | `public Object` | `getProperty(Object object, String property)`
    `` | `public void` | `plus(Closure c)`
    `` | `public Node` | `replaceNode(Closure c)`
    `` | `public void` | `setAttribute(Object object, String attribute, Object newValue)`
    `` | `protected static void` | `setMetaClass(Class nodelistClass, MetaClass metaClass)`
    `` | `public String` | `text()` Returns the text value of all of the elements in the collection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, remove, remove, get, equals, hashCode, clone, indexOf, clear, lastIndexOf, isEmpty, replaceAll, size, subList, toArray, toArray, iterator, contains, spliterator, addAll, addAll, set, forEach, ensureCapacity, trimToSize, removeIf, sort, removeAll, retainAll, listIterator, listIterator, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll, toArray, stream, parallelStream`

- - ### Constructor Detail

    - #### public NodeList()

    - #### public NodeList(Collection collection)

    - #### public NodeList(int size)

  - ### Method Detail

    - #### @Override public Object clone()

      Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).

      Returns:
        the clone

    - #### public NodeList getAt(String name)

      Provides lookup of elements by non-namespaced name.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### public NodeList getAt(QName name)

      Provides lookup of elements by QName.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### @Override public Object getAttribute(Object object, String attribute)

    - #### @Override public Object getProperty(Object object, String property)

    - #### public void plus(Closure c)

    - #### public Node replaceNode(Closure c)

    - #### @Override public void setAttribute(Object object, String attribute, Object newValue)

    - #### protected static void setMetaClass(Class nodelistClass, MetaClass metaClass)

    - #### public String text()

      Returns the text value of all of the elements in the collection.

      Returns:
        the text value of all the elements in the collection or null